Analytics & Insights API
POST /services/analytics/v1/project/latest-recordings Auth

Request Body Required

FieldTypeRequiredDescriptionExample
project_id integer Yes
limit integer|null
min: 1 max: 10
No
min_time_spend number|null
min: 0
No
start_date string|null (date-time) No
end_date string|null (date-time) No

Responses

200
422
401
403
429
Successful response
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
data object
data.recordings object[]
data.primary object
Validation error
FieldTypeDescription
message string Errors overview.
errors object A detailed description of each field that failed validation.
Unauthenticated — missing or invalid Bearer token
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Forbidden — insufficient permissions for this resource
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
FieldTypeDescription
error boolean
message string
Too Many Requests — rate limit exceeded
Headers
HeaderTypeDescriptionExample
X-RateLimit-Limit integer Maximum number of requests allowed per minute 60
X-RateLimit-Remaining integer Number of requests remaining in the current window 57
Retry-After integer Seconds until the rate limit resets 60
FieldTypeDescription
error boolean
message string
Base URL
https://api.wemasy.nl/api
Authentication

Request Sample
cURL
JS
PHP
Python
curl -X POST "https://api.wemasy.nl/api/services/analytics/v1/project/latest-recordings" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "project_id": 0,
    "limit": "string",
    "min_time_spend": "string",
    "start_date": "string",
    "end_date": "string"
}'
fetch('https://api.wemasy.nl/api/services/analytics/v1/project/latest-recordings', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer YOUR_API_TOKEN',
    'Accept': 'application/json',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    "project_id": 0,
    "limit": "string",
    "min_time_spend": "string",
    "start_date": "string",
    "end_date": "string"
})})
.then(r => r.json())
.then(data => console.log(data));
$response = Http::withToken('YOUR_API_TOKEN')
    ->accept('application/json')
    ->post('https://api.wemasy.nl/api/services/analytics/v1/project/latest-recordings', {
    "project_id": 0,
    "limit": "string",
    "min_time_spend": "string",
    "start_date": "string",
    "end_date": "string"
});
$data = $response->json();
import requests

headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
data = {
    "project_id": 0,
    "limit": "string",
    "min_time_spend": "string",
    "start_date": "string",
    "end_date": "string"
}
r = requests.post("https://api.wemasy.nl/api/services/analytics/v1/project/latest-recordings", headers=headers, json=data)
print(r.json())
Response Example
{
    "error": false,
    "data": {
        "recordings": [],
        "primary": {
            "id": 0,
            "time_spend": 0,
            "browser": "string",
            "device_type": "string",
            "country": "string",
            "page_path": "string",
            "page_title": "string",
            "page_visits_count": "string",
            "conversion_count": 0,
            "created_at": "string",
            "is_read": true
        }
    }
}

Try It
Request Body Required

Export